Bug 1280271 - nmcli can't connect to hidden wireless network
nmcli can't connect to hidden wireless network
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
24
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 06:19 EST by Alexander Todorov
Modified: 2017-08-08 08:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:23:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2015-11-11 06:19:23 EST
Description of problem:

Using nmcli on latest Rawhide (more precisely inside the installation environment) I can't connect to my wireless network which is hidden.


On a RHEL 7 system I get:

$ nmcli dev wifi list
*  SSID               MODE   CHAN  RATE       SIGNAL  BARS  SECURITY  
   j home             Infra  11    54 Mbit/s  49      **    WPA2      
   atelie8            Infra  6     54 Mbit/s  53      **    --        
   j home             Infra  36    54 Mbit/s  20      *     WPA2      
   andi 98            Infra  4     54 Mbit/s  42      **    WPA2      
   kofe               Infra  5     54 Mbit/s  39      **    WPA1 WPA2 
   galia              Infra  10    54 Mbit/s  24      *     WPA1 WPA2 
   lucifer            Infra  6     54 Mbit/s  29      *     WEP       
   Adriano            Infra  1     54 Mbit/s  27      *     WPA1 WPA2 
   BX7024             Infra  1     54 Mbit/s  24      *     WPA2      
   HUAWEI-B315-C061   Infra  11    54 Mbit/s  34      **    WPA1 WPA2 
   Pavlovonet_D33EFE  Infra  4     54 Mbit/s  27      *     WPA2      
   Vaikata            Infra  8     54 Mbit/s  29      *     WPA1 WPA2 
   Siv                Infra  6     54 Mbit/s  25      *     WPA1 WPA2 
   Bloom jewellery    Infra  8     54 Mbit/s  30      *     WPA1 WPA2 
   FU                 Infra  11    54 Mbit/s  20      *     WPA1 WPA2 
   Doroteya           Infra  7     54 Mbit/s  17      *     WPA2      
   Place              Infra  3     54 Mbit/s  17      *     WPA2      
   dlink              Infra  13    54 Mbit/s  17      *     WEP       
   Asenceto           Infra  10    54 Mbit/s  19      *     WPA1 WPA2 
   VBS50              Infra  3     54 Mbit/s  17      *     WPA1     


On the Rawhide system I get:

$ nmcli dev wifi list
*  SSID               MODE   CHAN  RATE       SIGNAL  BARS  SECURITY  
   --                 Infra  6     54 Mbit/s  64      ***
   j home             Infra  11    54 Mbit/s  45      **    WPA2      
   andi 98            Infra  4     54 Mbit/s  42      **    WPA2      
   Bloom jewellery    Infra  8     54 Mbit/s  34      **    WPA1 WPA2 
.... skip ...


The network I need is "atelie8"

Version-Release number of selected component (if applicable):
1.2.0-0.3.20151023git01c175.fc24

How reproducible:
always on this hardware

Steps to Reproduce:
1. Boot into the installation environment and switch to tty2
2. execute nmcli dev wifi list | grep atelie8
3.

Actual results:
Hidden network not shown

Expected results:
Hidden network is shown

Additional info:
There is a RHEL7 bug #1069844, related to the same issue.

Both computers are placed next to each other. 

The RHEL 7 system is a MacBook Air 2015 with 
03:00.0 Network controller: Broadcom Corporation BCM4360 802.11ac Wireless Network Adapter (rev 03)


The failing Rawhide system is Lenovo X220 with 
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)
Comment 1 Jirka Klimes 2015-11-11 08:04:38 EST
If the SSID is hidden then it is obviously not visible in the wireless scan. But if you connect to it, for example via contol-center's "Connect to Hidden Network..." or using nmcli, NetworkManager will remember the AP's BSSID (in /var/lib/NetworkManager/seen-bssids) and stores the SSID in the connection profile. Later it can match the data and fill in the SSID in the scan list.
Comment 2 Jirka Klimes 2015-11-11 08:13:51 EST
nmcli command for connecting to a hidden network for the first time is:

$ nmcli dev wifi connect atelie8 password blahblah hidden yes

http://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/man/nmcli.1.in#n822

See also upstream bug:
https://bugzilla.gnome.org/show_bug.cgi?id=752173
Comment 3 Jan Kurik 2016-02-24 10:46:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:28:23 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:23:19 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.